LPCOpen Platform for LPC18XX/43XX microcontrollers: C:/w/lpcopen_docs/software/lpc_core/lpc_board/boards_18xx/hitex_eva_1850/board.c File Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures
board.c File Reference
`#include "board.h"`
`#include "string.h"`
`#include "retarget.h"`

Go to the source code of this file.

## Data Structures
struct | TSC2046_Init_T

## Macro Definition Documentation

#define COORD_GET_NUM (10)

Definition at line 97 of file board.c.

#define LCD_DC_CMD (Chip_GPIO_SetPinState(LPC_GPIO_PORT, 0x07, 8, false))

Definition at line 87 of file board.c.

#define LCD_DC_DATA (Chip_GPIO_SetPinState(LPC_GPIO_PORT, 0x07, 8, true))

Definition at line 88 of file board.c.

#define PWRDOWN (TSC_START | TSC_CHANNEL_Y | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_PD)

Definition at line 75 of file board.c.

#define TSC2046_CONVERSION_BITS 12

Definition at line 51 of file board.c.

#define TSC2046_COORD_MAX (0xFFF)

Definition at line 91 of file board.c.

#define TSC2046_DELTA_VARIANCE (0x50)

Definition at line 92 of file board.c.

#define TSC_12BIT (0x00 << 3)

Definition at line 58 of file board.c.

#define TSC_8BIT (0x01 << 3)

Definition at line 57 of file board.c.

#define TSC_ADC_ON 0x01

Definition at line 60 of file board.c.

#define TSC_CHANNEL_X (0x05 << 4) /* differential */

Definition at line 53 of file board.c.

#define TSC_CHANNEL_Y (0x01 << 4) /* differential */

Definition at line 54 of file board.c.

#define TSC_CHANNEL_Z1 (0x03 << 4) /* differential */

Definition at line 55 of file board.c.

#define TSC_CHANNEL_Z2 (0x04 << 4) /* differential */

Definition at line 56 of file board.c.

#define TSC_CONVERSION_MODE TSC_12BIT

Definition at line 63 of file board.c.

#define TSC_DFR_MODE (0x00 << 2) /* Differential Reference Mode */

Definition at line 69 of file board.c.

#define TSC_PD 0x00

Definition at line 59 of file board.c.

#define TSC_REF_ON 0x02

Definition at line 61 of file board.c.

#define TSC_SER_MODE (0x01 << 2) /* Single-Ended Reference Mode */

Definition at line 68 of file board.c.

#define TSC_START (0x01 << 7)

Definition at line 52 of file board.c.

#define X_MEASURE (TSC_START | TSC_CHANNEL_X | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_ADC_ON)

Definition at line 71 of file board.c.

#define Y_MEASURE (TSC_START | TSC_CHANNEL_Y | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_ADC_ON)

Definition at line 72 of file board.c.

#define Z1_MEASURE (TSC_START | TSC_CHANNEL_Z1 | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_ADC_ON)

Definition at line 73 of file board.c.

#define Z2_MEASURE (TSC_START | TSC_CHANNEL_Z2 | TSC_CONVERSION_MODE | TSC_DFR_MODE | TSC_ADC_ON)

Definition at line 74 of file board.c.

## Function Documentation

static Status Board_Audio_CodecInit | ( | int | micIn | ) |
| static

Definition at line 332 of file board.c.

static void Board_LED_Init | ( |  | ) |
| static

Definition at line 425 of file board.c.

static int16_t calibrateTSC2046 | ( | int16_t | Coord,
|  | int16_t | MinVal,
|  | int16_t | MaxVal,
|  | int16_t | TrueSize
| ) |  |
| static

Definition at line 305 of file board.c.

static void delay | ( | uint32_t | i | ) |
| static

Definition at line 327 of file board.c.

static void delayMs | ( | uint32_t | ms | ) |
| static

Definition at line 140 of file board.c.

static Status evalTSC2046Coord | ( | uint8_t | command,
|  | uint16_t * | coord
| ) |  |
| static

Definition at line 277 of file board.c.

static void initSSD1289 | ( | void |  | ) |
| static

Definition at line 198 of file board.c.

static void lcdPinConfig | ( | void |  | ) |
| static

Definition at line 147 of file board.c.

static void readWriteTSC2046 | ( | uint8_t | command,
|  | uint16_t * | data
| ) |  |
| static

Definition at line 255 of file board.c.

static void writeLCDReg | ( | uint16_t | addr,
|  | uint16_t | data
| ) |  |
| static

Definition at line 171 of file board.c.

## Variable Documentation

const uint32_t ExtRateIn = 0

Clock rate on the CLKIN pin This value is defined externally to the chip layer and contains the value in Hz for the CLKIN pin for the board. If this pin isn't used, this rate can be 0.

Definition at line 132 of file board.c.

const uint8_t ledbits[] = {1, 5, 6, 8}
| static

Definition at line 48 of file board.c.

const uint8_t ledports[] = {4, 7, 7, 7}
| static

Definition at line 47 of file board.c.

TSC2046_Init_T TSC_Config
| static

Initial value:
= {
3758, 149, 3914, 163, 240, 320, 1
}

Local variables

Definition at line 100 of file board.c.